<?php

# работа с базой данных
if (URL != '/server') {  // проверка ссылки
$DB = new mysqli(DB['host'], DB['user'], DB['pass'], DB['name']); // подключение к базе данных
if ($DB->connect_errno) $FUNC->go('/server'); // не работает база, переадресация
$DB->set_charset('utf8'); } // установка кодировки соединения

# проверка работы куков
if (URL == '/cookie/check') { if (!isset($_COOKIE[SERV['sess']])) // проверка ссылки
$FUNC->go('/cookie'); else $FUNC->go('/'); } // определение работы, переадресация

# работа с сессией
if (URL != '/cookie') { // проверка ссылки
session_name(SERV['sess']); session_start(); // имя сессии, запуск
if (!isset($_COOKIE[SERV['sess']])) { // проверка работы куков
$FUNC->go('/cookie/check'); } } // переадресация на страницу проверки

# обработка входящего запроса
require_once SYS .'rout/mod.php';

?>